# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDateWidget Class Reference

A pushbutton to display or allow user selection of a date. More...

`#include <kdatewidget.h>`

Inheritance diagram for KDateWidget:

[legend]
Collaboration diagram for KDateWidget:

[legend]
List of all members.

## Signals

void | changed (QDate)

## Public Member Functions

| KDateWidget (QWidget *parent=0, const char *name=0)
| KDateWidget (QDate date, QWidget *parent=0, const char *name=0)
virtual | ~KDateWidget ()
QDate | date () const
void | setDate (QDate date)

## Protected Slots

void | slotDateChanged ()

## Protected Member Functions

void | init ()
void | init (const QDate &)
virtual void | virtual_hook (int id, void *data)

## Properties

QDate | date

## Detailed Description

A pushbutton to display or allow user selection of a date.

This widget can be used to display or allow user selection of a date.

See also:
  KDatePicker

Version:
  Id
    kdatewidget.h 353338 2004-10-10 11:37:56Z bhards

Definition at line 36 of file kdatewidget.h.

## Constructor & Destructor Documentation

KDateWidget::KDateWidget | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

| Constructs a date selection widget. Definition at line 54 of file kdatewidget.cpp. References setDate().

KDateWidget::KDateWidget | ( | QDate | date,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

| Constructs a date selection widget with the initial date set to `date`. Definition at line 62 of file kdatewidget.cpp. References setDate().

KDateWidget::~KDateWidget | ( |  | ) | `[virtual]`

| Destructs the date selection widget. Definition at line 120 of file kdatewidget.cpp.

## Member Function Documentation

QDate KDateWidget::date | ( |  | ) | const

| Returns the currently selected date.

void KDateWidget::setDate | ( | QDate | date | ) |

| Changes the selected date to `date`. Definition at line 126 of file kdatewidget.cpp. References KLocale::calendar(), changed(), KCalendarSystem::day(), KCalendarSystem::daysInMonth(), KGlobal::locale(), KCalendarSystem::month(), and KCalendarSystem::year(). Referenced by KDateWidget().

void KDateWidget::changed | ( | QDate |  | ) | `[signal]`

| Emitted whenever the date of the widget is changed, either with setDate() or via user selection. Referenced by setDate().

The documentation for this class was generated from the following files:

- kdatewidget.h
- kdatewidget.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:54 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003